io.milvus.param.control

## Class GetQuerySegmentInfoParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetQuerySegmentInfoParam.Builder

- Enclosing class:
    GetQuerySegmentInfoParam

      public static final class GetQuerySegmentInfoParam.Builder
      extends java.lang.Object

  Builder for `GetQuerySegmentInfoParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetQuerySegmentInfoParam` | `build()` Verifies parameters and creates a new `GetQuerySegmentInfoParam` instance.
    `GetQuerySegmentInfoParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public GetQuerySegmentInfoParam.Builder withCollectionName(@NonNull
                                                                     @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### build

          public GetQuerySegmentInfoParam build()
                                         throws ParamException

      Verifies parameters and creates a new `GetQuerySegmentInfoParam` instance.
      Returns:
        `GetQuerySegmentInfoParam`
      Throws:
        `ParamException`